Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.interform.Control Class Reference
Inheritance diagram for com.foxit.sdk.pdf.interform.Control:

## Public Member Functions
| Control (Control other)
| Constructor, with another form control object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getAlignment () throws com.foxit.sdk.PDFException
| Get the alignment value. More...
DefaultAppearance | getDefaultAppearance () throws com.foxit.sdk.PDFException
| Get the default appearance data. More...
String | getExportValue () throws com.foxit.sdk.PDFException
| Get export mapping name when related form field is check box or radio button. More...
Field | getField () throws com.foxit.sdk.PDFException
| Get the related form field. More...
int | getIndex () throws com.foxit.sdk.PDFException
| Get the index of current form control among all the controls of related form field. More...
Widget | getWidget () throws com.foxit.sdk.PDFException
| Get the related widget annotation. More...
PDFDictionary | getWidgetDict () throws com.foxit.sdk.PDFException
| Get the dictionary of related widget annotation. More...
boolean | isChecked () throws com.foxit.sdk.PDFException
| Check if the current form control is checked when related form field is check box or radio button. More...
boolean | isDefaultChecked () throws com.foxit.sdk.PDFException
| Check if the current form control is checked by default when related form field is check box or radio button. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setAlignment (int alignment) throws com.foxit.sdk.PDFException
| Set alignment property of current form control. More...
void | setChecked (boolean checked_status) throws com.foxit.sdk.PDFException
| Set the check state of current form control when related form field is check box or radio button. More...
void | setDefaultAppearance (DefaultAppearance default_ap) throws com.foxit.sdk.PDFException
| Set default appearance data. More...
void | setDefaultChecked (boolean checked_status) throws com.foxit.sdk.PDFException
| Set the default check state of current form control when related form field is check box or radio button. More...
void | setExportValue (String value) throws com.foxit.sdk.PDFException
| Set export mapping name when related form field is check box or radio button. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

Foxit PDF SDK defines "form control" to associate form field with its related widget annotations. A form field may have one or more form controls, and each form control is associated with a widget annotation. A form control object can be retrieved by following functions:

- from a form, please use function Form.getControl .

- from a form field, please use functions Field.getControl .

Form control also offers functions to get related form field object and widget annotation object.
Function Form.addControl can be used to add a new form control to a form field, and function Form.removeControl can be used to remove a form control.

See also
  Form
  Field

## Constructor & Destructor Documentation

## ◆ Control()

com.foxit.sdk.pdf.interform.Control.Control | ( | Control | other | ) |

Constructor, with another form control object.

Parameters

  [in] | other | Another form control object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.interform.Control.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAlignment()

int com.foxit.sdk.pdf.interform.Control.getAlignment | ( |  | ) | throws com.foxit.sdk.PDFException

Get the alignment value.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Returns
  Alignment value. Please refer to values starting from com.foxit.sdk.common.Constants.e_AlignmentLeft and this would be one of these values.

## ◆ getDefaultAppearance()

DefaultAppearance com.foxit.sdk.pdf.interform.Control.getDefaultAppearance | ( |  | ) | throws com.foxit.sdk.PDFException

Get the default appearance data.

Returns
  The default appearance data.

## ◆ getExportValue()

String com.foxit.sdk.pdf.interform.Control.getExportValue | ( |  | ) | throws com.foxit.sdk.PDFException

Get export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return an empty string.

Returns
  The export mapping name.

## ◆ getField()

Field com.foxit.sdk.pdf.interform.Control.getField | ( |  | ) | throws com.foxit.sdk.PDFException

Get the related form field.

Returns
  The related form field object.

## ◆ getIndex()

int com.foxit.sdk.pdf.interform.Control.getIndex | ( |  | ) | throws com.foxit.sdk.PDFException

Get the index of current form control among all the controls of related form field.

Returns
  The index of the form control.

## ◆ getWidget()

Widget com.foxit.sdk.pdf.interform.Control.getWidget | ( |  | ) | throws com.foxit.sdk.PDFException

Get the related widget annotation.

Returns
  The related widget annotation.

## ◆ getWidgetDict()

PDFDictionary com.foxit.sdk.pdf.interform.Control.getWidgetDict | ( |  | ) | throws com.foxit.sdk.PDFException

Get the dictionary of related widget annotation.

Returns
  Dictionary of related widget annotation. If there is any error, the function will return null.

## ◆ isChecked()

boolean com.foxit.sdk.pdf.interform.Control.isChecked | ( |  | ) | throws com.foxit.sdk.PDFException

Check if the current form control is checked when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked, and false means not checked.

## ◆ isDefaultChecked()

boolean com.foxit.sdk.pdf.interform.Control.isDefaultChecked | ( |  | ) | throws com.foxit.sdk.PDFException

Check if the current form control is checked by default when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked by default, and false means not checked by default.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.interform.Control.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setAlignment()

void com.foxit.sdk.pdf.interform.Control.setAlignment | ( | int | alignment | ) | throws com.foxit.sdk.PDFException

Set alignment property of current form control.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Parameters

  [in] | alignment | New default alignment type of variable text. Please refer to values starting from com.foxit.sdk.common.Constants.e_AlignmentLeft and this should be one of these values. If other values is used to set, com.foxit.sdk.common.Constants.e_AlignmentLeft will be used by default.

Returns
  None.

## ◆ setChecked()

void com.foxit.sdk.pdf.interform.Control.setChecked | ( | boolean | checked_status | ) | throws com.foxit.sdk.PDFException

Set the check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked, and false means not checked.

Returns
  None.

## ◆ setDefaultAppearance()

void com.foxit.sdk.pdf.interform.Control.setDefaultAppearance | ( | DefaultAppearance | default_ap | ) | throws com.foxit.sdk.PDFException

Set default appearance data.

Parameters

  [in] | default_ap | The new default appearance. flags of input data can be used to decide which information is/are to be updated with the new data; for those no updated data, they will keep to use old data. If text_size of input default appearance data is 0, that means the text size should be calculated automatically.

Returns
  None.

## ◆ setDefaultChecked()

void com.foxit.sdk.pdf.interform.Control.setDefaultChecked | ( | boolean | checked_status | ) | throws com.foxit.sdk.PDFException

Set the default check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked by default, and false means not checked by default.

Returns
  None.

## ◆ setExportValue()

void com.foxit.sdk.pdf.interform.Control.setExportValue | ( | String | value | ) | throws com.foxit.sdk.PDFException

Set export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | value | The new export mapping name. It should not be an empty string.

Returns
  None.